/*
	File:		StorUtil.h

	Contains:	xxx put contents here xxx

	Owned by:	Vincent Lo

	Copyright:	c 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	10/24/94	jpa		first checked in
		 <1>	 9/23/94	VL		first checked in

	To Do:
*/



#ifndef _STORUTIL_
#define _STORUTIL_

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef _ODMEMORY_
#include <ODMemory.h>
#endif

class ODContainer;
class ODSession;
class PlatformFile;

extern "C" {
	PlatformFile*	GetPlatformFileFromContainer(Environment* ev, ODContainer* container);
	ODContainer*	CreateFileContainer(Environment* ev, ODSession* session, ODFileSpec fsSpec);
	ODContainer*	GetFileContainer(Environment* ev, ODSession* session, ODFileSpec fsSpec);
	ODContainer*	CreateMemoryContainer(Environment* ev, ODSession* session, ODHandle handle);
	ODContainer*	GetMemoryContainer(Environment* ev, ODSession* session, ODHandle handle);
}

#endif // _STORUTIL_
